
import React from 'react';
import ReactDOM from 'react-dom/client';
import App from './App'; // Changed from '@/App'
import { AuthProvider } from './contexts/AuthContext';
import { SiteSettingsProvider } from './contexts/SiteSettingsContext';
import { PermissionProvider } from './contexts/PermissionContext';


const rootElement = document.getElementById('root');
if (!rootElement) {
  throw new Error("Could not find root element to mount to");
}

const root = ReactDOM.createRoot(rootElement);
root.render(
  <React.StrictMode>
    <AuthProvider>
      <SiteSettingsProvider>
        <PermissionProvider>
          <App />
        </PermissionProvider>
      </SiteSettingsProvider>
    </AuthProvider>
  </React.StrictMode>
);